# Boolean literals

From cppreference.com
< cpp‎ | language

### Syntax

`true` | (1) |
`false` | (2) |

### Explanation

The Boolean literals are the keywords `true` and `false`. They are prvalues of type bool.

### Notes

See Integral conversions for implicit conversions from `bool` to other types and boolean conversions for the implicit conversions from other types to `bool`.

### Example

Run this code

    #include <iostream>

    int main()
    {
      std::cout << std::boolalpha
                << true << '\n'
                << false << '\n'
                << std::noboolalpha
                << true << '\n'
                << false << '\n';
    }

Output:

    true
    false
    1
    0

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/language/bool_literal&oldid=78408"